summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-09-22 19:28:24 +0000
committerJim Meyering <jim@meyering.net>2000-09-22 19:28:24 +0000
commitdffa52e11aed00805c65aa6441b1fc869eb99845 (patch)
tree3fcf4c85b4b49223d7a740493034b49083b1c2d2
parent60c672e7ecabdfbb25a339c7378c1224425d1e12 (diff)
downloadcoreutils-dffa52e11aed00805c65aa6441b1fc869eb99845.tar.xz
*** empty log message ***
-rw-r--r--old/fileutils/ChangeLog21
-rwxr-xr-xtests/cp/dir-rm-dest32
2 files changed, 52 insertions, 1 deletions
diff --git a/old/fileutils/ChangeLog b/old/fileutils/ChangeLog
index 38d29298e..087c4400d 100644
--- a/old/fileutils/ChangeLog
+++ b/old/fileutils/ChangeLog
@@ -1,3 +1,22 @@
+2000-09-22 Jim Meyering <meyering@lucent.com>
+
+ * src/install.c (cp_option_init):
+ Reported by Dan Pascu via Michael Stone.
+
+ * src/mv.c (do_move): Moving a directory specified with a trailing
+ slash from one partition to another, and giving it a different
+ name at the destination would cause mv to get a failed assertion.
+ Reported by Michael Stone.
+ (strip_trailing_slashes_2): Move function definition to precede
+ new first use.
+ * tests/mv/part-rename: New test for the above fix.
+ * tests/mv/Makefile.am (TESTS): Add part-rename.
+
+ * src/copy.c (copy_internal): Don't try to unlink directories when
+ using --remove-dest with -R.
+ * tests/cp/dir-rm-dest: New test for the above fix.
+ * tests/cp/Makefile.am (TESTS): Add dir-rm-dest.
+
2000-09-19 Jim Meyering <meyering@lucent.com>
* src/cp.c (main): When used with --force, each of the --link and
@@ -1017,7 +1036,7 @@
2000-02-02 Jim Meyering <meyering@lucent.com>
* tests/touch/Makefile.am (TESTS): Add fifo.
- * tests/touch/fifo (fail): New file.
+ * tests/touch/fifo: New file.
2000-02-01 Jim Meyering <meyering@lucent.com>
diff --git a/tests/cp/dir-rm-dest b/tests/cp/dir-rm-dest
new file mode 100755
index 000000000..a2c76f637
--- /dev/null
+++ b/tests/cp/dir-rm-dest
@@ -0,0 +1,32 @@
+#!/bin/sh
+# verify that cp's --remove-destination option works with -R
+
+if test "$VERBOSE" = yes; then
+ set -x
+ cp --version
+fi
+
+pwd=`pwd`
+tmp=cprmdest.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir d e || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+
+# Do it once with no destination...
+cp -R --remove-destination d e || fail=1
+
+# ...and again, with an existing destination.
+cp -R --remove-destination d e || fail=1
+
+(exit $fail); exit